helm  install gitlab gitlab/gitlab \
--set postgresql.image.tag=13.6.0 \
--set nginx-ingress.enabled=false \
--set global.ingress.class=traefik \
--set global.ingress.tls.secretName=gitlab-ssl \
--set certmanager.install=false \
--set global.ingress.configureCertmanager=false \
--set certmanager-issuer.email=thanachai.tre@gmail.com \
--set global.edition=ce \
--set global.minio.enabled=false \
--set global.registry.bucket=gitlab-registry-storage \
--set global.appConfig.lfs.bucket=gitlab-lfs-storage \
--set global.appConfig.lfs.connection.secret=object-storage \
--set global.appConfig.lfs.connection.key=connection \
--set global.appConfig.artifacts.bucket=gitlab-artifacts-storage \
--set global.appConfig.artifacts.connection.secret=object-storage \
--set global.appConfig.artifacts.connection.key=connection \
--set global.appConfig.uploads.bucket=gitlab-uploads-storage \
--set global.appConfig.uploads.connection.secret=object-storage \
--set global.appConfig.uploads.connection.key=connection \
--set global.appConfig.packages.bucket=gitlab-packages-storage \
--set global.appConfig.packages.connection.secret=object-storage \
--set global.appConfig.packages.connection.key=connection \
--set global.appConfig.backups.bucket=gitlab-backup-storage \
--set global.appConfig.backups.tmpBucket=gitlab-tmp-storage \
--set gitlab.toolbox.backups.objectStorage.config.secret=storage-config \
--set gitlab.toolbox.backups.objectStorage.config.key=config \
--set registry.storage.secret=registry-storage \
--set registry.storage.key=config \
--set global.hosts.domain=kanomnutt.site \
--set global.host.gitlab.name=gitlab.kanomnutt.site \
--set global.host.registry.name=registry.kanomnutt.site\
--set global.time_zone=Asia/Bangkok \
--set gitlab-runner.install=false \
--set global.ingress.annotations."kubernetes\.io/ingress\.provider"=traefik \
--set gitlab.gitlab-shell.service.type=LoadBalancer \
--set global.shell.port=2222 \
--set tcp.22="gitlab/gitlab-gitlab-shell:2222" \
--set global.email.display_name=GitLab \
--set global.email.from=thanachai.tre@gmail.com \
--set global.email.reply_to=thanachai.tre@gmail.com \
--set global.email.subject_suffix="" \
--set global.smtp.address=smtp.gmail.com \
--set global.smtp.authentication="" \
--set global.smtp.domain="" \
--set global.smtp.enabled=true \
--set global.smtp.port=587 \
--namespace gitlab
